Subject: Re: bug#68851: 30.0.50; Native comp: Optimization failure for org-element-property-raw: Handler: org-element-property-raw--inliner

From: Ihor Radchenko <[email-masked]>
Date: Thu, 08 Feb 2024 23:06:52 +0000

Andrea Corallo <[email-masked]> writes:

>> cd org-mode/lisp
>> emacs  -Q -batch --eval '(add-to-list '"'"'load-path ".")' --eval '(batch-native-compile)' org-element-ast.el
>
> Negative, I've already the invocation for the native compilation, what I
> want is the one for byte compilation.
>
> Reason for that is that my crystal ball suggests compilers are invoked
> in different ways.  Actually
>
> emacs  -Q -batch --eval '(add-to-list '"'"'load-path ".")' --eval '(batch-byte-compile)' org-element-ast.el
>
> gives here the same exact error the native compiler gives.

I confirm.

> That BTW is in disagreement with:
>
>>> Ihor have you tried compiling the compilation unit from command line
>>> (using batch-byte-compile or batch-native-compile)?  If some dependency
>>> is broken this should highlight it.
>>
>> batch-byte-compile does not emit any warnings.
>> batch-native-compile emits the same warning:

Hmm. I think what I tried was a bit different. I did make compile, which
is using batch-byte-recompile-directory:

emacs  -Q -batch --eval '(add-to-list '"'"'load-path ".")' --eval '(batch-byte-recompile-directory 0)'

> So I suspect that (if this is really a bug) is not native compiler
> related, but I need the second invocation to confirm.

Looks like it is really not native compiler related.
Still, I am puzzled what is going wrong there. The error is

Warning: Optimization failure for org-element-property-raw: Handler: org-element-property-raw--inliner
(void-function org-element--property-idx)

but both org-element--property-idx and org-element-property-raw are
inline functions defined in the same file.

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>